Skala
Stock media objects

List all stock media objects

Fetches a complete list of stock media object records available in the system.

GET
/api/stock_media_objects

Fetches a complete list of stock media object records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

stock.id?integer
stock.id[]?array<>

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_media_objects"
[
  {
    "id": 0,
    "stock": "/entity/1",
    "mediaObject": {
      "id": 0,
      "contentUrl": "string",
      "file": "string",
      "filePath": "string"
    },
    "showInWorkOrder": true,
    "variant": {
      "id": 0,
      "name": "string"
    },
    "description": "string"
  }
]